function [Ms,J]  = calc_concatenated_M_s(Msp);
%% calculate uncertain concatenated motion M = M2 * M1
%
% Msp   motion pair, Msp.Msp=[Ms1,Ms2] = [4x8], Msp.Csp = [12x12]
%
% Ms    [4x4] concatenated motion, Ms.Ms , Ms.Cs
% J     [4x8] Jacobian
%
% wf 6/2020

% M2 and M
Ms2    = Msp.Msp(:,5:8);
Ms.Ms  = Ms2 * Msp.Msp(:,1:4);

% adjoint motion matrix for M2
R2     = Ms2(1:3,1:3);
Z2     = Ms2(1:3,4);
M_2_ad = [R2 zeros(3); calc_S(Z2)*R2 R2];

% Jacobian and CovM
J      = [M_2_ad eye(6)];
Ms.Cs  = J * Msp.Csp * J';

return
