function [Mz,J]  = calc_concatenated_M_z(Mzp);
%% calculate uncertain concatenated motion M = M2 * M1
%
% Mzp   motion pair, Mzp.Mzp=[Mz1,Mz2] = [4x8], Mzp.Czp = [12x12]
%
% Mz    [4x4] concatenated motion, Mz.Mz , Mz.Cz
% J     [4x8] Jacobian
%
% wf 5/2020

% M1, M2, M
Mz1    = Mzp.Mzp(:,1:4);
Mz2    = Mzp.Mzp(:,5:8);
Mz.Mz  = Mz2 * Mz1;

% Jacobian and CovM
R2     = Mz2(1:3,1:3);
Z1     = Mz1(1:3,4);
J      = [R2       zeros(3)  eye(3)           zeros(3);...
          zeros(3) R2        -calc_S(R2*Z1)   eye(3)    ];
      
Mz.Cz  = J * Mzp.Czp * J';

return
