function [Mi,J] = calc_inverse_M_z(Mz)
%%  calculate uncertain inverse motion and Jacobian
%   partially exponential reprensentation
%
% Mz     motion, Mz.Mz = [4x4], Mz.Cz = [6x6]
%
% Mi     inverse motion, Mi.Mz = [4x4], Mi.Cz = [6x6]
% J      [6x6] Jacobian
% 
% wf 5/2020

% Motion
M0    = Mz.Mz;
% inverse motion
Mi.Mz = inv(M0);
% Jacobian (neg. inverse adjunct motion matrix)
R0    = M0(1:3,1:3);
J     = -[R0' zeros(3); R0'*calc_S(M0(1:3,4)) R0'];
% CovM
Mi.Cz = J * Mz.Cz * J';

end 

