function [Ri,J] = calc_inverse_R(R)
%%  calculate uncertain inverse rotation
%
% R     motion, R.R = [3x3], R.C = [3x3]
%
% Ri    inverse rotation, Ri.M = [3x3], Ri.C = [3x3]
% J      [3x3] Jacobian
% 
% wf 5/2020

% rotation
R0   = R.R;
% inverse
Ri.R = inv(R0);
% Jacobian and CovM
J    = -R0';
Ri.C = J*R.C*J';

end

