function check_simulated_motion_s(M0,C0,Ms,S)
%%  check whether Ms has mean M0 and CovM C0
%   exponential representation
%
% M0    [3x3] mean motion s
% C0    [6x6] theoretical CovM if s
% Ms    [16xN] sample of motions s
% S     significance level
%
% wf 6/2020

% number of samples
N = size(Ms,2);

% analyse data
s_s=zeros(N,6);
for n=1:N
    s_s(n,:)= calc_s_from_A(reshape(Ms(:,n),4,4)*inv(M0));
end

% check mean and CovM
check_estimation_result(6, zeros(6,1), C0, ones(N,1), s_s, S, ' motions s');

end

