function check_simulated_rotation(R0,C0,Rs,S)
%%  check whether Rs has mean R0 and CovM C0
%
% R0    [3x3] mean rotation
% C0    [3x3] theoretical CovM
% Rs    [9xN] sample of rotations
% S     significance level
%
% wf 5/2020

% number of samples
N = size(Rs,2);

% analyse data
r_s=zeros(N,3);
for n=1:N
    r_s(n,:)= calc_v_from_S(reshape(Rs(:,n),3,3)*R0');
end

% check mean and CovM
check_estimation_result(3, zeros(3,1), C0, ones(N,1), r_s, S, ' rotations')

end

